STAT(1)

NAME
stat - display file or filesystem status

SYNOPSIS
stat [OPTION] FILE...

DESCRIPTION

Display file or filesystem status.

-f, --filesystem
    display filesystem status instead of file status

-c  --format=FORMAT
    use the specified FORMAT instead of the default

-L, --dereference
    follow links

-t, --terse
    print the information in terse form

--help
    display this help and exit

--version
    output version information and exit

The valid format sequences for files (without --filesystem):

%A  Access rights in human readable form

%a  Access rights in octal

%B  The size in bytes of each block reported by `%b'

%b  Number of blocks allocated (see %B)

%D  Device number in hex

%d  Device number in decimal

%F  File type

%f  Raw mode in hex

%G  Group name of owner

%g  Group ID of owner

%h  Number of hard links

%i  Inode number

%N  Quoted File name with dereference if symbolic link

%n  File name

%o  IO block size

%s  Total size, in bytes

%T  Minor device type in hex

%t  Major device type in hex

%U  User name of owner

%u  User ID of owner

%X  Time of last access as seconds since Epoch

%x  Time of last access

%Y  Time of last modification as seconds since Epoch

%y  Time of last modification

%Z  Time of last change as seconds since Epoch

%z  Time of last change

Valid format sequences for file systems:

%a  Free blocks available to non-superuser

%b  Total data blocks in file system

%c  Total file nodes in file system

%d  Free file nodes in file system

%f  Free blocks in file system

%i  File System id in hex

%l  Maximum length of filenames

%n  File name

%s  Optimal transfer block size

%T  Type in human readable form

%t  Type in hex

AUTHOR
Written by Michael Meskes.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for stat is maintained as a Texinfo manual. If the info and stat programs are properly installed at your site, the command

    info stat

should give you access to the complete manual.